import { logger } from 'camunda-external-task-client-js';
import dotenv from 'dotenv-flow';

dotenv.config();

interface IConfig {
  baseUrl: string;
  asyncResponseTimeout: number;
  interval: number;
  maxParallelExecutions: number;
  maxTasks: number;
  use: Function;
}

const config: IConfig = {
  baseUrl: `${process.env.CAMUNDA_URL}:${process.env.CAMUNDA_PORT}/engine-rest`,
  asyncResponseTimeout: 1000,
  interval: 200,
  maxTasks: 200,
  maxParallelExecutions: 50,
  use: logger
};

export default config;
