import axios from 'axios';
import _ from 'lodash';

interface IData {
  message: string;
  type: string;
  variables: Object;
  payload: Object;
  filename: string;
}

const url: string = `${process.env.LOGGING_URL}:${process.env.LOGGING_PORT}`;
const type: string = 'microservicesDebug';

const isLogging = !_.isEmpty(process.env.LOGGING_URL) && !_.isEmpty(process.env.LOGGING_PORT);

export default (data: IData) => {
  console.log('DEBUG:', data.message);

  return isLogging ? axios({
    method: 'post',
    url: `${url}/${type}`,
    data: {
      ...data,
      message: data.message,
      type: data.type,
      src: {
        type: 'Microservice',
        filename: data.filename
      }
    }
  }).catch(error => console.log('Logging error', error)) : new Promise(resolve => resolve(undefined));
};
