import axios from 'axios';
import _ from 'lodash';

interface IData {
  error: Error;
  variables: Object;
  filename: string;
  type?: string;
}

const url: string = `${process.env.LOGGING_URL}:${process.env.LOGGING_PORT}`;
const type: string = 'microservices';

const isLogging = !_.isEmpty(process.env.LOGGING_URL) && !_.isEmpty(process.env.LOGGING_PORT);

export default (data: IData) => {
  console.log('Error:', data.error);

  return isLogging ? axios({
    method: 'post',
    url: `${url}/${type}`,
    data: {
      ...data,
      message: data.error.message,
      src: {
        type: 'Microservice',
        filename: data.filename
      }
    }
  }).catch(error => console.log('Logging error', error)) : new Promise(resolve => resolve(null));
};
