import { promisify } from "util";

import redis from "redis";

export default config => {
  const client = redis.createClient(config);

  return {
    get: promisify(client.get).bind(client),
    keys: promisify(client.keys).bind(client),
    set: promisify(client.set).bind(client),
    zadd: promisify(client.zadd).bind(client),
    zrangebyscore: promisify(client.zrangebyscore).bind(client)
  };
};
