import { Client } from 'camunda-external-task-client-js';

import config from './config';

// import userAuth from "./services/user-auth";

// import taskList from "./services/task-list";
// import taskListGenerate from "./services/task-list-generate";
import taskClone from './services/task-clone';
import taskTransform from './services/task-transform';
import taskSplit from './services/task-split';
import taskAssign from './services/task-assign';
import taskGenerate from './services/task-generate';

// import queueSend from "./services/queue-send";
import exchangeSend from './services/exchange-send';
import elkSend from './services/elk-send';
import socketSend from './services/socket-send';

import mobileRequest from './services/mobile-request';
import workerAddToSync from './services/worker-add-to-sync';
import payloadSendToSync from './services/payload-send-to-sync';
// import innerQueueEnv from "./services/inner-queue-env";

import syncTransform from './services/sync-transform';

import backendGet from './services/backend-get';
import backendGetParams from './services/backend-get-params';
import backendSet from './services/backend-set';
import backendPatch from './services/backend-patch';
import backendDelete from './services/backend-delete';
import backendPut from './services/backend-put';

import oneCGet from './services/oneCGet';
import oneCGetTask from './services/oneCGetTask';
import oneCPost from './services/oneCPost';
import oneCChanges from './services/oneCChanges';

import propertiesCreate from './services/properties-create';

// import redisGet from "./services/redis-get";
// import redisSet from "./services/redis-set";

import consoleLog from './services/console-log';
// import rangeGenerate from "./services/rangeGenerate";
import generateProperties from './services/generate-properties';
import processHistory from './services/process-history';

import loop from './services/loop';
// import loopPrimitive from "./services/loopPrimitive";
import checkEqual from './services/check-equal';
import sleep from './services/sleep';
import uuidGenerate from './services/uuid-generate';

import rawDataProperty from './services/raw-data-property';
import rawDataTask from './services/raw-data-task';
import rawDataSection from './services/raw-data-section';
import rawDataDepartment from './services/raw-data-department';
import rawDataWorker from './services/raw-data-worker';
import rawDataRating from './services/raw-data-rating';
import rawDataApplication from './services/raw-data-application';
import rawDataPosition from './services/raw-data-position';
import rawDataPositionHistory from './services/raw-data-position-history';
import rawDataPositionHistoryRecord from './services/raw-data-position-history-record';
import rawDataUnknown from './services/raw-data-unknown';
import rawDataRowState from './services/raw-data-row-state';
import rawDataRowStatus from './services/raw-data-row-status';
import rawDataStructure from './services/raw-data-structure';
import rawDataGreenhouse from './services/raw-data-greenhouse';

import rawDataFlow from './services/raw-data-flow';
import rawDataCulture from './services/raw-data-culture';

// import __mockQueueData__ from "./services/__mock-queue-data__";

const client = new Client(config);

// client.subscribe("user-auth", userAuth);

// client.subscribe("task-list", taskList);
// client.subscribe("taskListGenerate", taskListGenerate);
client.subscribe('taskClone', taskClone);
client.subscribe('taskTransform', taskTransform);
client.subscribe('taskSplit', taskSplit);
client.subscribe('taskAssign', taskAssign);
client.subscribe('taskGenerate', taskGenerate);

// client.subscribe("queueSend", queueSend);
client.subscribe('exchangeSend', exchangeSend);
client.subscribe('elkSend', elkSend);
client.subscribe('socketSend', socketSend);

client.subscribe('mobileRequest', mobileRequest);
client.subscribe('workerAddToSync', workerAddToSync);
client.subscribe('payloadSendToSync', payloadSendToSync);
// client.subscribe("innerQueueEnv", innerQueueEnv);

client.subscribe('backendGet', backendGet);
client.subscribe('backendGetParams', backendGetParams);
client.subscribe('backendSet', backendSet);
client.subscribe('backendPatch', backendPatch);
client.subscribe('backendDelete', backendDelete);
client.subscribe('backendPut', backendPut);

client.subscribe('oneCGet', oneCGet);
client.subscribe('oneCGetTask', oneCGetTask);
client.subscribe('oneCPost', oneCPost);
client.subscribe('oneCChanges', oneCChanges);

client.subscribe('syncTransform', syncTransform);
client.subscribe('propertiesCreate', propertiesCreate);

// client.subscribe("redisGet", redisGet);
// client.subscribe("redisSet", redisSet);

client.subscribe('consoleLog', consoleLog);
// client.subscribe("rangeGenerate", rangeGenerate);
client.subscribe('generateProperties', generateProperties);
client.subscribe('processHistory', processHistory);

client.subscribe('loop', loop);
// client.subscribe("loopPrimitive", loopPrimitive);

client.subscribe('checkEqual', checkEqual);
client.subscribe('sleep', sleep);
client.subscribe('uuidGenerate', uuidGenerate);

client.subscribe('rawDataProperty', rawDataProperty);
client.subscribe('rawDataTask', rawDataTask);
client.subscribe('rawDataSection', rawDataSection);
client.subscribe('rawDataDepartment', rawDataDepartment);
client.subscribe('rawDataWorker', rawDataWorker);
client.subscribe('rawDataRating', rawDataRating);
client.subscribe('rawDataApplication', rawDataApplication);
client.subscribe('rawDataPosition', rawDataPosition);
client.subscribe('rawDataPositionHistory', rawDataPositionHistory);
client.subscribe('rawDataPositionHistoryRecord', rawDataPositionHistoryRecord);
client.subscribe('rawDataRowStatus', rawDataRowStatus);
client.subscribe('rawDataRowState', rawDataRowState);
client.subscribe('rawDataUnknown', rawDataUnknown);
client.subscribe('rawDataStructure', rawDataStructure);
client.subscribe('rawDataGreenhouse', rawDataGreenhouse);

client.subscribe('rawDataFlow', rawDataFlow);
client.subscribe('rawDataCulture', rawDataCulture);

// client.subscribe("__mock-queue-data__", __mockQueueData__);
