import { Variables } from "camunda-external-task-client-js";

import qs from "query-string";

import logging from "../logging";

interface IResult {
  entity: string;
  query: string;
}

export default async ({ task, taskService }) => {
  try {
    const params = {
      isProcessed: false,
      page: 1
    };

    const result: IResult = {
      entity: "mobile_requests",
      query: qs.stringify(params, { arrayFormat: "bracket" })
    };

    await taskService.complete(task, new Variables().setAll(result));
  } catch (error) {
    await logging({ error, variables: {}, filename: __filename });
    await taskService.handleFailure(task, {
      errorMessage: error.message
    });
  }
};
