import logging from "../logging";

const sleep = ms => {
  return new Promise(resolve => setTimeout(resolve, ms));
};

export default async ({ task, taskService }) => {
  const variables = task.variables.getAll();

  try {
    console.log("Taking a nap");

    await sleep(10000);

    console.log("Ready to work!");

    await taskService.complete(task);
  } catch (error) {
    await logging({ error, variables, filename: __filename });
    await taskService.handleFailure(task, {
      errorMessage: error.message
    });
  }
};
