/* tslint:disable no-null-keyword */

import _ from 'lodash';
import io from 'socket.io-client';

import logging from '../logging';
import debug from '../debug';

interface IConfig {
  SOCKETSIO_URL: string;
}

interface IData {
  room: string;
  type: string;
  payload: string;
}

let socketConnection = null;

export default async ({ task, taskService }) => {
  const variables: IConfig & IData = task.variables.getAll();

  try {
	/*
    const message = {
      room: variables.room,
      type: variables.type,
      payload: JSON.parse(variables.payload),
    };

    debug({
      type:
        variables.type === 'taskInfo'
          ? 'TASK-INFO-ROW-' + message.payload['rowNumber']
          : variables.type,
      message:
        'Sending SOCKETIO event' +
        ' payload data to ELK',
      payload: message,
      variables: variables,
      filename: __filename,
    });

    const promise = new Promise((resolve, reject) => {
      if (_.isEmpty(socketConnection) || !socketConnection.connected) {
        socketConnection = io(variables.SOCKETSIO_URL);

        socketConnection.on('connect', () => {
          console.log('Connected', socketConnection.id);
          socketConnection.emit('camunda-connected', true);

          resolve();
        });
      } else if (socketConnection.connected) {
        resolve();
      } else {
        throw new Error('Disconnect');
      }
    });

    promise.then(() => {
      socketConnection.emit('camunda-event', message);
    });
   */

    await taskService.complete(task);
  } catch (error) {
    await logging({ error, variables, filename: __filename, type: 'SOCKETSIO' });
    await taskService.handleFailure(task, {
      errorMessage: error.message
    });
  } finally {
  }
};
