/* tslint:disable no-null-keyword */

import _ from 'lodash';
import couchbase from 'couchbase';

import logging from '../logging';
import debug from '../debug';

interface IConfig {
  COUCHBASE_URL: string;
}

interface IData {
  payload: string;
  channel: string;
  type: string;
  id: string;
}

let cluster = null;

const upsertDocument = async (doc, collection) => {
  try {
    // key will equal: "airline_8091"
    const key = doc.id;
    const result = await collection.upsert(key, doc);
    console.log(`Upsert Result [${doc.type}] [${doc.channel}]`);
    console.log(result);
  } catch (error) {
    console.error(error);
  }
};

export default async ({ task, taskService }) => {
  const variables: IConfig & IData = task.variables.getAll();

  try { 
        /*	  
        if (!cluster)
          cluster = new couchbase.Cluster(variables.COUCHBASE_URL, {
            username: 'Administrator',
            password: 'password',
          });

        const bucket = cluster.bucket('agroinvest');

        const collection = bucket.defaultCollection();

        const document = {
          id: variables.id,
          type: variables.type,
          channel: variables.channel,
          payload: JSON.parse(variables.payload),
        };

        debug({
          type: 'taskInfo',
          message:
            'Sending COUCHBASE event' +
            ' payload data to ELK',
          payload: document,
          variables: variables,
          filename: __filename,
        });

        upsertDocument(document, collection);
	*/

        await taskService.complete(task);
      } catch (error) {
    await logging({ error, variables, filename: __filename, type: 'WORKERCOUCHBASE' });
    await taskService.handleFailure(task, {
      errorMessage: error.message
    });
  } finally {
  }
};
